Loading...
Searching...
No Matches
range

## Detailed Description

see the range page for the full documentation

Definition at line 61 of file range.h.

## Public Types

using | size_type = size_t

## Public Member Functions

| range (size_type start=0, size_type stop=0)
size_type | start () const
size_type | size () const

## Static Public Member Functions

static range | all ()

## Protected Attributes

size_type | _start
size_type | _size

## Member Typedef Documentation

## size_type

using size_type = size_t

Definition at line 62 of file range.h.

## Constructor & Destructor Documentation

## range()

range | ( | size_type | start = 0,
|  | size_type | stop = 0 )

Definition at line 79 of file range.h.

## Member Function Documentation

## start()

range::size_type start | ( |  | ) | const

Definition at line 85 of file range.h.

## size()

range::size_type size | ( |  | ) | const

Definition at line 86 of file range.h.

## all()

range all | ( |  | ) |

static

Definition at line 87 of file range.h.

## Member Data Documentation

## _start

size_type _start

protected

Definition at line 69 of file range.h.

## _size

size_type _size

protected

Definition at line 69 of file range.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/range.h